Description: make mnemosyne Python3-only
Author: Julien Puydt
Forwarded: Debian-specific

--- mnemosyne.orig/mnemosyne/pyqt_ui/mnemosyne
+++ mnemosyne/mnemosyne/pyqt_ui/mnemosyne
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/python3
 
 #
 # Mnemosyne <Peter.Bienstman@UGent.be>
--- mnemosyne.orig/mnemosyne/pyqt_ui/pyuic5
+++ mnemosyne/mnemosyne/pyqt_ui/pyuic5
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 #
 # pyuic5 <Johannes.Baiter@gmail.com> <Peter.Bienstman@UGent.be>
 #
--- mnemosyne.orig/science_server/cgiupload.py
+++ mnemosyne/science_server/cgiupload.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 # Mnemosyne CGI upload server.
 # Based on code by JeffBauer@bigfoot.com, Aaron Watters, Jim Fulton
--- mnemosyne.orig/tests/benchmark.py
+++ mnemosyne/tests/benchmark.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 import os
 import time
@@ -154,4 +154,4 @@
     p = pstats.Stats('mnemosyne_profile.' + test.replace("()", ""))
     p.strip_dirs().sort_stats('cumulative').print_stats(number_of_calls)
 
-# 5.2 0.92
\ No newline at end of file
+# 5.2 0.92
--- mnemosyne.orig/tests/benchmark_pyqt.py
+++ mnemosyne/tests/benchmark_pyqt.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 import os
 import time
--- mnemosyne.orig/tests/benchmark_sync_client.py
+++ mnemosyne/tests/benchmark_sync_client.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 import os
 import time
--- mnemosyne.orig/tests/benchmark_sync_server.py
+++ mnemosyne/tests/benchmark_sync_server.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 import os
 import sys
